﻿IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SafeComment' AND COLUMN_NAME = 'BusinessProcessID')
	AND NOT EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.CONSTRAINT_TABLE_USAGE WHERE TABLE_NAME = 'SafeComment' AND CONSTRAINT_NAME = 'FK_SafeComment_BusinessProcessID')
BEGIN 
PRINT 'Creating foreign key FK_SafeComment_BusinessProcessID on table SafeComment'
ALTER TABLE [dbo].[SafeComment]  WITH CHECK ADD  CONSTRAINT [FK_SafeComment_BusinessProcessID] FOREIGN KEY([BusinessProcessID])
REFERENCES [BusinessProcess] ([ID])
END
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SafeComment' AND COLUMN_NAME = 'SafePeriodID')
	AND NOT EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.CONSTRAINT_TABLE_USAGE WHERE TABLE_NAME = 'SafeComment' AND CONSTRAINT_NAME = 'FK_SafeComment_SafePeriodID')
BEGIN 
PRINT 'Creating foreign key FK_SafeComment_SafePeriodID on table SafeComment'
ALTER TABLE [dbo].[SafeComment]  WITH CHECK ADD  CONSTRAINT [FK_SafeComment_SafePeriodID] FOREIGN KEY([SafePeriodID])
REFERENCES [Safe] ([PeriodID])
END
GO

